Package com.microblink.blinkid.entities.processors

# Class Processor.Result

java.lang.Object
com.microblink.blinkid.entities.Entity.Result
com.microblink.blinkid.entities.processors.Processor.Result

All Implemented Interfaces:
  `android.os.Parcelable`

Direct Known Subclasses:
  `ImageReturnProcessor.Result`

Enclosing class:
  Processor<T extends Processor.Result>

public abstract static class Processor.Result extends Entity.Result

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `Processor.Result.State`

  ## Nested classes/interfaces inherited from interface android.os.Parcelable

  `android.os.Parcelable.ClassLoaderCreator<T extends Object>, android.os.Parcelable.Creator<T extends Object>`

- ## Field Summary

  ### Fields inherited from class com.microblink.blinkid.entities.Entity.Result

  `mOwner`

  ### Fields inherited from interface android.os.Parcelable

  `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Result(long nativeResult)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Processor.Result.State`
  `getResultState()`
  Returns the state of the processor.
  `protected final boolean`
  `isEmpty()`

  ### Methods inherited from class com.microblink.blinkid.entities.Entity.Result

  `clone, describeContents, deserializeFromByteArray, finalize, getNativeContext, readFromParcel, serializeToByteArray, terminateNative, writeToParcel`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Result

    protected Result(long nativeResult)

- ## Method Details

  - ### getResultState

    @NonNull public Processor.Result.State getResultState()
    Returns the state of the processor.
    Returns:
      the state of the processor.

  - ### isEmpty

    protected final boolean isEmpty()
    Specified by:
      `isEmpty` in class `Entity.Result`